package com.zcloud.zcGbsServicer.command;

import com.zcloud.zcGbsServicer.domain.gateway.ResourceDeviceGateway;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:23:16
*/
@Component
@AllArgsConstructor
public class ResourceDeviceRemoveExe {
    private final ResourceDeviceGateway resourceDeviceGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = resourceDeviceGateway.deletedResourceDeviceById(id);
        if(!res){
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = resourceDeviceGateway.deletedResourceDeviceByIds(ids);
        if(!res){
            throw new BizException("删除失败");
        }
        return true;
    }
}

